# -*- coding: utf-8 -*-
import velamentum.dateien.Datei
from velamentum.multimedia.Recorder import Recorder
import dialogs

class VideoRecorder(Recorder):
    """Die Klasse VideoRecorder dient der Aufnahme von Videodaten in eine Datei.
    
    Attribute:
        --- von 'Recorder' geerbte ---
    """

    def __init__(self, pDatei=velamentum.dateien.Datei.Datei("~/aufnahme.mp4")):
        """Konstruktor. Initialisiert den VideoRecorder.
        
        Parameter:
            [optional] pDatei (Datei): Datei, in der die Aufnahme gespeichert
                werden soll [Standardwert: Datei mit Pfad '/scard/aufnahme.m4a'].
        """
        Recorder.__init__(self, pDatei)
        dialogs.alert('Fehler', 'VideoRecorder auf iOS nicht implementiert.')
